RubyGems Navigation menu

rubocop 0.54.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versionen:

  1. 1.11.0 - March 01, 2021 (473 KB)
  2. 1.10.0 - February 15, 2021 (469 KB)
  3. 1.9.1 - February 01, 2021 (467 KB)
  4. 1.9.0 - January 28, 2021 (466 KB)
  5. 1.8.1 - January 11, 2021 (459 KB)
  6. 0.54.0 - March 21, 2018 (380 KB)
Zeige alle Versionen (172 total)

Runtime Abhängigkeiten (6):

  • parallel ~> 1.10
  • parser >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Abhängigkeiten (2):

  • bundler ~> 1.3
  • rack >= 0
  • Besitzer:

    Autoren:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256-Prüfsumme:

    3a2208fe1166b22e109b3a184aa0bd26e04d16e78587b9c714e63980694ade80

    Downloads insgesamt 145.392.249

    Für diese Version 3.262.125

    Gemfile:
    = In die Zwischenablage kopieren Kopiert!

    installieren:
    =

    Lizenz:

    MIT

    Erforderliche Ruby-Version: >= 2.1.0

    Links: